Subject: bug#5098: [NS] 23.1.50; display-pixel-height / display-pixel-width don't work in .emacs

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2011 11:38:45 +0200

Ian Eure <[email-masked]> writes:

> I have a function which sets up the Emacs frame how I like it. This
> involves centering the frame within the screen; since I run Emacs on
> multiple systems, I calculate it based on the current screen
> dimensions.
>
> However, calling both display-pixel-height and display-pixel-width
> return zero when called from my .emacs file. I added some debug messages
> to emacs-startup-hook and window-setup-hook, and they return zero there
> as well.

I'm unable to reproduce this in Emacs 24.  Has this bug gone away in
recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/